Subject: Re: next-20160602 build: 0 failures 2 warnings (next-20160602)

From: Liviu Dudau <[email-masked]>
Date: Thu, 2 Jun 2016 11:08:08 +0100

On Thu, Jun 02, 2016 at 11:58:24AM +0200, Arnd Bergmann wrote:
> On Thursday, June 2, 2016 10:48:15 AM CEST Build bot for Mark Brown wrote:
> > Tree/Branch: next-20160602
> > Git describe: next-20160602
> > Commit: ce425f36d1 Add linux-next specific files for 20160602
> > 
> > Build Time: 141 min 21 sec
> > 
> > Passed:    9 / 9   (100.00 %)
> > Failed:    0 / 9   (  0.00 %)
> > 
> > Errors: 0
> > Warnings: 2
> > Section Mismatches: 0
> > 
> > -------------------------------------------------------------------------------
> > defconfigs with issues (other than build errors):
> >       2 warnings    0 mismatches  : arm64-allmodconfig
> >       1 warnings    0 mismatches  : arm-allmodconfig
> > 
> > -------------------------------------------------------------------------------
> > 
> > Warnings Summary: 2
> > 	  2 ../drivers/gpu/drm/arm/hdlcd_crtc.c:185:28: warning: unused variable 'hdlcd' [-Wunused-variable]
> 
> This was introduced today by 1e5e10b59403 ("drm: hdlcd: Cleanup the atomic plane operations").
> Liviu, can you fix it up?

Yes, I have a fix in my local tree, I'll push it to the public tree soon, will be picked up by the next -next rebuild.

Best regards,
Liviu

> 
> > 	  1 ../drivers/staging/iio/adc/ad7606_spi.c:24:18: warning: 'data' may be used uninitialized in this function [-Wmaybe-uninitialized]
> 
> I sent a patch on Monday, but Greg has been busy working on his stable kernels,
> I'm sure he'll get to it.
> 
> 	Arnd
> 

-- 
====================
| I would like to |
| fix the world,  |
| but they're not |
| giving me the   |
 \ source code!  /
  ---------------
    ¯\_(ツ)_/¯